

// Shaders for UJE_flat_sniper by [UJE]C



//--- commandmap
levelshots/UJE_flat_sniper_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_flat_sniper_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_flat_sniper_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_flat_sniper_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}



//--- water
// deze shader gaat op elke zijkant en onderkant van een water-brush
textures/UJE_flat_sniper/waternodraw
{
	qer_editorimage textures/common/nodrawwater.tga
	qer_trans .5
	
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

// de base texture
textures/UJE_flat_sniper/water_base
{
	nocompress
	qer_editorimage textures/UJE_flat_sniper/water.tga
	qer_trans .40

	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter //zichtbare  texture tint op ondergrond  vanuit onder water
//	surfaceparm pointlight
}

// deze shader gebruik je in jouw map..
textures/UJE_flat_sniper/UJE_water
{
	q3map_baseshader textures/UJE_flat_sniper/water_base
	q3map_tessSize 128
//	qer_trans 1.0

	qer_editorimage textures/UJE_flat_sniper/water.tga

	cull none

	deformVertexes wave 128 sin 0 1 0.37 0.15
	deformVertexes wave 112 sin 0 1 0.5 0.23

	{ 
		map textures/UJE_flat_sniper/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 1.0
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.01 0 0.15
		tcmod scroll 0.004 0.003
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

// Deze shader mik je op de water-brushes die aan de horizon liggen.
// De alpha-volume brushes in de map, zorgen voor de blending-waarden
// voor de overgang van water naar horizon-kleur.
textures/UJE_flat_sniper/water_alpha
{ 
	nocompress
	qer_editorimage textures/UJE_flat_sniper/water.tga
	qer_trans .50

	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog
	q3map_tessSize 128

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm pointlight

	cull none

	deformVertexes wave 128 sin 0 1 0.37 0.15
	deformVertexes wave 112 sin 0 1 0.5 0.23

	{ 
		map $whiteimage
		rgbGen const ( 0.553 0.678 0.773 )
		blendFunc blend
		alphaGen const 1.0
	} 	
	{ 
		map textures/UJE_flat_sniper/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen vertex
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.01 0 0.15
		tcmod scroll 0.004 0.003
	}
}



//--- de lucht
textures/UJE_flat_sniper/ujesky
{
	qer_editorimage textures/UJE_flat_sniper/ujesky_lf.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 85 3
	q3map_sun 1 .95 .9 200 210 28

	skyparms "textures/UJE_flat_sniper/ujesky" 256 -

	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
}

textures/UJE_flat_sniper/ujefog
{
	qer_editorimage UJE_flat_sniper/qer_ujefog.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.553 0.678 0.773 ) 8192 //11264
}


//--- neon
textures/UJE_flat_sniper/neon_rood
{
	qer_editorimage textures/UJE_flat_sniper/uje_neon_rood.tga
	q3map_surfacelight 120

	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_flat_sniper/uje_neon_rood.tga
		//blendfunc filter
		blendfunc blend
		//depthFunc equal
		rgbGen identity
		tcmod turb 0 0.01 0.2 0.5
		tcmod scroll 0.1 0.2
	}
	{
		map $whiteimage
		blendfunc gl_one GL_SRC_ALPHA //gl_one //add
		rgbGen wave inversesawtooth 0 1 0.15 0.5
	}
}
textures/UJE_flat_sniper/neon_rood2
{
	qer_editorimage textures/UJE_flat_sniper/uje_neon_rood.tga
	q3map_surfacelight 120

	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_flat_sniper/uje_neon_rood.tga
		//blendfunc filter
		blendfunc blend
		//depthFunc equal
		rgbGen identity
		tcmod turb 0 0.01 0.2 0.5
		tcmod scroll 0.1 0.2
	}
	{
		map $whiteimage
		blendfunc gl_one GL_SRC_ALPHA //gl_one //add
		rgbGen wave inversesawtooth 0 1 0 0.5
	}
}

//--- lift knopjes/lampjes/indicators
// deze zijn tbv. het remapshader commando
textures/UJE_flat_sniper/uje_lift_nr0
{
	qer_editorimage textures/UJE_flat_sniper/nummers_0.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_0.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr1
{
	qer_editorimage textures/UJE_flat_sniper/nummers_1.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_1.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr2
{
	qer_editorimage textures/UJE_flat_sniper/nummers_2.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_2.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr3
{
	qer_editorimage textures/UJE_flat_sniper/nummers_3.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_3.tga
		rgbGen identity
		blendFunc blend
	}
}
// knipperende indicators
textures/UJE_flat_sniper/uje_lift_nr0_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_0.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_0.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr1_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_1.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_1.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr2_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_2.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_2.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_nr3_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_3.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_3.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}



textures/UJE_flat_sniper/uje_lift1_nr0
{
	qer_editorimage textures/UJE_flat_sniper/nummers_0.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_0.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr1
{
	qer_editorimage textures/UJE_flat_sniper/nummers_1.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_1.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr2
{
	qer_editorimage textures/UJE_flat_sniper/nummers_2.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_2.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr3
{
	qer_editorimage textures/UJE_flat_sniper/nummers_3.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_3.tga
		rgbGen identity
		blendFunc blend
	}
}
// knipperende indicators
textures/UJE_flat_sniper/uje_lift1_nr0_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_0.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_0.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr1_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_1.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_1.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr2_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_2.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_2.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift1_nr3_knipper
{
	qer_editorimage textures/UJE_flat_sniper/nummers_3.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		animMap 6 textures/UJE_flat_sniper/nummers_3.tga textures/UJE_flat_sniper/nummers_.tga
		rgbGen identity
		blendFunc blend
	}
}

// deze worden los gebruikt..
textures/UJE_flat_sniper/uje_lift_vrij
{
	qer_editorimage textures/UJE_flat_sniper/nummers_uit.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_uit.tga
		rgbGen identity
		blendFunc blend
	}
}
textures/UJE_flat_sniper/uje_lift_bezet
{
	qer_editorimage textures/UJE_flat_sniper/nummers_aan.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{ 
		map textures/UJE_flat_sniper/nummers_aan.tga
		rgbGen identity
		blendFunc blend
	}
}
